package com.cpm.lorealbaautomation.reportGetterSetter;

import com.google.gson.annotations.SerializedName;

public class AppDashboardIncentive {
    @SerializedName("KPI")
    private String kpi;
    @SerializedName("CounterId")
    private Integer counterId;
    @SerializedName("UserId")
    private String userId;
    @SerializedName("ChannelName")
    private String channelName;
    @SerializedName("Tier")
    private String tier;
    @SerializedName("Offtake")
    private Double offtake;
    @SerializedName("LY_AVG_Sale")
    private Double lYAVGSale;
    @SerializedName("MJF_AVG_Sale")
    private Double mJFAVGSale;
    @SerializedName("SL_Incentive")
    private Double sLIncentive;
    @SerializedName("Flat_Incentive")
    private Double flatIncentive;
    @SerializedName("ToatlIncentive")
    private Double toatlIncentive;
    @SerializedName("MaximumIncentive")
    private Double maximumIncentive;
    @SerializedName("Per")
    private Double per;

    public Double getPer() {
        return per;
    }
    public void setPer(Double per) {
        this.per = per;
    }
    public String getKpi() {
        return kpi;
    }

    public void setKpi(String kpi) {
        this.kpi = kpi;
    }

    public Integer getCounterId() {
        return counterId;
    }

    public void setCounterId(Integer counterId) {
        this.counterId = counterId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getChannelName() {
        return channelName;
    }

    public void setChannelName(String channelName) {
        this.channelName = channelName;
    }

    public String getTier() {
        return tier;
    }

    public void setTier(String tier) {
        this.tier = tier;
    }

    public Double getOfftake() {
        return offtake;
    }

    public void setOfftake(Double offtake) {
        this.offtake = offtake;
    }

    public Double getLYAVGSale() {
        return lYAVGSale;
    }

    public void setLYAVGSale(Double lYAVGSale) {
        this.lYAVGSale = lYAVGSale;
    }

    public Double getMJFAVGSale() {
        return mJFAVGSale;
    }

    public void setMJFAVGSale(Double mJFAVGSale) {
        this.mJFAVGSale = mJFAVGSale;
    }

    public Double getSLIncentive() {
        return sLIncentive;
    }

    public void setSLIncentive(Double sLIncentive) {
        this.sLIncentive = sLIncentive;
    }

    public Double getFlatIncentive() {
        return flatIncentive;
    }

    public void setFlatIncentive(Double flatIncentive) {
        this.flatIncentive = flatIncentive;
    }

    public Double getToatlIncentive() {
        return toatlIncentive;
    }

    public void setToatlIncentive(Double toatlIncentive) {
        this.toatlIncentive = toatlIncentive;
    }

    public Double getMaximumIncentive() {
        return maximumIncentive;
    }

    public void setMaximumIncentive(Double maximumIncentive) {
        this.maximumIncentive = maximumIncentive;
    }
}
